#!/bin/bash
#==============================================================================
# Copyright and license info is available in the LICENSE file included with
# the Server Deployment Package (SDP), and also available online:
# https://swarm.workshop.perforce.com/projects/perforce-software-sdp/view/main/LICENSE
#------------------------------------------------------------------------------

export SDP_INSTANCE=${SDP_INSTANCE:-Unset} 
export SDP_INSTANCE=${1:-$SDP_INSTANCE} 
if [[ $SDP_INSTANCE == Unset ]]; then 
   echo "Instance parameter not supplied." 
   echo "You must supply the Perforce instance as a parameter to this script." 
   exit 1 
fi 

source /p4/common/bin/p4_vars $SDP_INSTANCE

echo -e "\nPerforce settings are:\n"

p4 set

echo -e "\nPerforce server info:\n"

p4 info

if [[ $? -ne 0 ]]; then
   printf "\nERROR: p4d is not reachable with the given settings.\n\n"
   exit 1
fi

echo -e "\nScanning recent changelists.\nEnsure output below looks reasonable:\n"
p4 changes -t -m 10
